Name:     ddcopy
Version:  0.1.9
Release:  %mkrel 2

Summary:  ddCopy 
URL:      http://www.pclinuxos.com/
Source:   %{name}-%{version}.tar.xz
License:  GPL
Group:   System/Configuration/Other 
BuildRoot: %{_tmppath}/%{name}-%{version}-buildroot
BuildArch: noarch
Requires: udev
Requires: adwaita-icon-theme
Requires: syslinux
Requires: python >= 2.7 
Requires: python-parted
Requires: ntfs-3g
Requires: udisks2
Requires: polkit
Requires: policykit
Requires: pygtk2.0-libglade
Requires: cdrkit
Requires: yad
Requires: python-gobject3
Obsoletes: %{name} < %{version}

%description
ddCopy writes bootable iso image files

* Makes a bootable CD/DVD
* Makes a bootable USB key
* Formats a USB key


%prep
%setup -q

%build

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

#menu
desktop-file-install --vendor="" \
    --add-category="X-MandrivaLinux-System-Configuration;" \
	--dir %buildroot%{_datadir}/applications \
	%buildroot%{_datadir}/applications/*.desktop

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR

%post
%update_menus

%postun
%clean_menus


%files 
%defattr(-,root,root)
%{_bindir}/%{name}
%_datadir/applications/*.desktop
%_datadir/icons/hicolor/48x48/apps/*.png
%_iconsdir/burn*.png
%_datadir/%{name}
%_datadir/pixmaps/%{name}.png
/usr/lib/%{name}
%_datadir/polkit-1/actions/*


%changelog
* Sat Jul 22 2017 Ken <lxgator at gmail.com> 0.1.9-2pclos2017
- Add req python-gobject3

* Sun Jul 09 2017 Ken <lxgator at gmail.com> 0.1.9-1pclos2017
- 0.1.9

* Fri Feb 19 2016 Ken <lxgator at gmail.com> 0.1.0-1pclos2016
- initial build 



